Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ introduction/welcome/changelog.xml	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -12,4 +12,7 @@
 <itemizedlist>
 
+<listitem><para>September 29th, 2003 [igor]: Added missing http/ftp
+links (part I).</para></listitem>
+    
 <listitem><para>September 29th, 2003 [larry]: added gocr to
 Scanning.</para></listitem>
Index: postlfs/editors/emacs/emacs.ent
===================================================================
--- postlfs/editors/emacs/emacs.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/editors/emacs/emacs.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -3,8 +3,8 @@
 <!ENTITY emacs-inst SYSTEM "emacs-inst.xml">
 <!ENTITY emacs-desc SYSTEM "emacs-desc.xml">
-<!ENTITY emacs-buildsize "92.5 MB">
 <!ENTITY emacs-version "21.3">
 <!ENTITY emacs-download-http "http://ftp.gnu.org/pub/gnu/emacs/emacs-&emacs-version;.tar.gz">
 <!ENTITY emacs-download-ftp "ftp://ftp.gnu.org/pub/gnu/emacs/emacs-&emacs-version;.tar.gz">
 <!ENTITY emacs-size "20 MB">
+<!ENTITY emacs-buildsize "92.5 MB">
 <!ENTITY emacs-time "4.20 SBU">
Index: postlfs/editors/joe/joe.ent
===================================================================
--- postlfs/editors/joe/joe.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/editors/joe/joe.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -2,10 +2,10 @@
 <!ENTITY joe-intro SYSTEM "joe-intro.xml">
 <!ENTITY joe-inst SYSTEM "joe-inst.xml">
+<!ENTITY joe-config SYSTEM "joe-config.xml">
 <!ENTITY joe-desc SYSTEM "joe-desc.xml">
-<!ENTITY joe-config SYSTEM "joe-config.xml">
+<!ENTITY joe-version "2.9.8">
+<!ENTITY joe-download-http "http://unc.dl.sourceforge.net/sourceforge/joe-editor/joe-&joe-version;.tar.gz">
+<!ENTITY joe-download-ftp "ftp://ftp.uni-koeln.de/editor/joe-&joe-version;.tar.gz">
+<!ENTITY joe-size "284 KB">
 <!ENTITY joe-buildsize "4.3 MB">
-<!ENTITY joe-version "2.9.8">
-<!ENTITY joe-download-http "http://unc.dl.sourceforge.net/sourceforge/joe-editor/joe-2.9.8.tar.gz">
-<!ENTITY joe-download-ftp "">
-<!ENTITY joe-size "284 KB">
 <!ENTITY joe-time "0.11 SBU">
Index: postlfs/editors/nano/nano.ent
===================================================================
--- postlfs/editors/nano/nano.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/editors/nano/nano.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -2,11 +2,10 @@
 <!ENTITY nano-intro SYSTEM "nano-intro.xml">
 <!ENTITY nano-inst SYSTEM "nano-inst.xml">
+<!ENTITY nano-config SYSTEM "nano-config.xml">
 <!ENTITY nano-desc SYSTEM "nano-desc.xml">
-<!ENTITY nano-config SYSTEM "nano-config.xml">
+<!ENTITY nano-version "1.2.2">
+<!ENTITY nano-download-http "http://www.nano-editor.org/dist/v1.2/nano-&nano-version;.tar.gz">
+<!ENTITY nano-download-ftp "ftp://ftp.uni-koeln.de/editor/nano-&nano-version;.tar.gz">
+<!ENTITY nano-size "876 KB">
 <!ENTITY nano-buildsize "4.4 MB">
-<!ENTITY nano-version "1.2.2">
-<!ENTITY nano-download-http
-"http://www.nano-editor.org/dist/v1.2/nano-&nano-version;.tar.gz">
-<!ENTITY nano-download-ftp "">
-<!ENTITY nano-size "876 KB">
 <!ENTITY nano-time "0.04 SBU">
Index: postlfs/editors/vim/vim.ent
===================================================================
--- postlfs/editors/vim/vim.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/editors/vim/vim.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -2,10 +2,10 @@
 <!ENTITY vim-intro SYSTEM "vim-intro.xml">
 <!ENTITY vim-inst SYSTEM "vim-inst.xml">
+<!ENTITY vim-exp SYSTEM "vim-exp.xml">
 <!ENTITY vim-desc SYSTEM "vim-desc.xml">
-<!ENTITY vim-exp SYSTEM "vim-exp.xml">
+<!ENTITY vim-version "6.2">
+<!ENTITY vim-download-http "http://ftp.at.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
+<!ENTITY vim-download-ftp "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
+<!ENTITY vim-size "3.2 MB">
 <!ENTITY vim-buildsize "46 MB">
-<!ENTITY vim-version "6.2">
-<!ENTITY vim-download-http "">
-<!ENTITY vim-download-ftp "ftp://ftp.nluug.nl/pub/editors/vim/unix/vim-&vim-version;.tar.bz2">
-<!ENTITY vim-size "3.2 MB">
 <!ENTITY vim-time "0.59 SBU">
Index: postlfs/filesystems/reiser/reiser.ent
===================================================================
--- postlfs/filesystems/reiser/reiser.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/filesystems/reiser/reiser.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -4,8 +4,8 @@
 <!ENTITY reiser-exp SYSTEM "reiser-exp.xml">
 <!ENTITY reiser-desc SYSTEM "reiser-desc.xml">
-<!ENTITY reiser-buildsize "9.3 MB">
 <!ENTITY reiser-version "3.6.11">
 <!ENTITY reiser-download-http "http://ftp.namesys.com/pub/reiserfsprogs/reiserfsprogs-&reiser-version;.tar.gz">
 <!ENTITY reiser-download-ftp "ftp://ftp.namesys.com/pub/reiserfsprogs/reiserfsprogs-&reiser-version;.tar.gz">
 <!ENTITY reiser-size "368 KB">
+<!ENTITY reiser-buildsize "9.3 MB">
 <!ENTITY reiser-time "0.16 SBU">
Index: postlfs/filesystems/xfs/xfs.ent
===================================================================
--- postlfs/filesystems/xfs/xfs.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/filesystems/xfs/xfs.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -2,17 +2,16 @@
 <!ENTITY xfs-patch SYSTEM "xfs-patch.xml">
 <!ENTITY xfs-patch-inst SYSTEM "xfs-patch-inst.xml">
+<!ENTITY xfspatch-version "2.4.22">
+<!ENTITY xfspatch-download-http "">
+<!ENTITY xfspatch-download-ftp "ftp://oss.sgi.com/projects/xfs/download/patches/&xfspatch-version;/xfs-&xfspatch-version;-all-i386.bz2">
+<!ENTITY xfspatch-buildsize "">
+<!ENTITY xfspatch-size "860 KB">
 <!ENTITY xfs-intro SYSTEM "xfs-intro.xml">
 <!ENTITY xfs-inst SYSTEM "xfs-inst.xml">
-<!ENTITY xfs-exp SYSTEM "xfs-exp.xml">
 <!ENTITY xfs-desc SYSTEM "xfs-desc.xml">
+<!ENTITY xfsprogs-version "2.5.6">
+<!ENTITY xfsprogs-download-http "http://gd.tuwien.ac.at/opsys/linux/slackware/slackware-current/source/a/xfsprogs/xfsprogs-&xfsprogs-version;.src.tar.gz">
+<!ENTITY xfsprogs-download-ftp "ftp://oss.sgi.com/projects/xfs/download/Release-1.3/cmd_tars/xfsprogs-&xfsprogs-version;.src.tar.gz">
+<!ENTITY xfsprogs-size "816 KB">
 <!ENTITY xfsprogs-buildsize "42 MB">
-<!ENTITY xfsprogs-size "816 KB">
-<!ENTITY xfsprogs-version "2.5.6">
-<!ENTITY xfspatch-buildsize "">
-<!ENTITY xfspatch-size "860 KB">
-<!ENTITY xfspatch-version "2.4.22">
-<!ENTITY xfsprogs-download-http "">
-<!ENTITY xfsprogs-download-ftp "ftp://oss.sgi.com/projects/xfs/download/Release-1.3/cmd_tars/xfsprogs-2.5.6.src.tar.gz">
-<!ENTITY xfspatch-download-http "">
-<!ENTITY xfspatch-download-ftp "ftp://oss.sgi.com/projects/xfs/download/patches/&xfspatch-version;/xfs-&xfspatch-version;-all-i386.bz2">
 <!ENTITY xfsprogs-time "0.67 SBU">
Index: postlfs/security/gnupg/gnupg.ent
===================================================================
--- postlfs/security/gnupg/gnupg.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/security/gnupg/gnupg.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -3,10 +3,10 @@
 <!ENTITY gnupg-inst SYSTEM "gnupg-inst.xml">
 <!ENTITY gnupg-exp SYSTEM "gnupg-exp.xml">
+<!ENTITY gnupg-config SYSTEM "gnupg-config.xml">
 <!ENTITY gnupg-desc SYSTEM "gnupg-desc.xml">
-<!ENTITY gnupg-config SYSTEM "gnupg-config.xml">
-<!ENTITY gnupg-buildsize "26.1 MB">
 <!ENTITY gnupg-version "1.2.3">
 <!ENTITY gnupg-download-http "http://ftp.gnupg.org/gcrypt/gnupg/gnupg-1.2.3.tar.bz2">
 <!ENTITY gnupg-download-ftp "ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-1.2.3.tar.bz2">
 <!ENTITY gnupg-size "2.2 MB">
+<!ENTITY gnupg-buildsize "26.1 MB">
 <!ENTITY gnupg-time "0.32 SBU">
Index: postlfs/security/iptables/iptables.ent
===================================================================
--- postlfs/security/iptables/iptables.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/security/iptables/iptables.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -4,8 +4,8 @@
 <!ENTITY iptables-exp SYSTEM "iptables-exp.xml">
 <!ENTITY iptables-desc SYSTEM "iptables-desc.xml">
-<!ENTITY iptables-buildsize "2.8 MB">
 <!ENTITY iptables-version "1.2.8">
 <!ENTITY iptables-download-http "http://www.iptables.org/files/iptables-&iptables-version;.tar.bz2">
 <!ENTITY iptables-download-ftp "ftp://ftp.netfilter.org/pub/iptables/iptables-&iptables-version;.tar.bz2">
 <!ENTITY iptables-size "128 KB">
+<!ENTITY iptables-buildsize "2.8 MB">
 <!ENTITY iptables-time "0.28 SBU">
Index: postlfs/security/pam/linux_pam.ent
===================================================================
--- postlfs/security/pam/linux_pam.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/security/pam/linux_pam.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -3,10 +3,10 @@
 <!ENTITY Linux_PAM-inst SYSTEM "linux_pam-inst.xml">
 <!ENTITY Linux_PAM-exp SYSTEM "linux_pam-exp.xml">
+<!ENTITY Linux_PAM-config SYSTEM "linux_pam-config.xml">
 <!ENTITY Linux_PAM-desc SYSTEM "linux_pam-desc.xml">
-<!ENTITY Linux_PAM-config SYSTEM "linux_pam-config.xml">
+<!ENTITY Linux_PAM-version "0.77">
+<!ENTITY Linux_PAM-download-http "http://www.kernel.org/pub/linux/libs/pam/pre/library/Linux-PAM-&Linux_PAM-version;.tar.bz2">
+<!ENTITY Linux_PAM-download-ftp "ftp://ftp.kernel.org/pub/linux/libs/pam/pre/library/Linux-PAM-&Linux_PAM-version;.tar.bz2">
+<!ENTITY Linux_PAM-size "332 KB">
 <!ENTITY Linux_PAM-buildsize "4.1 MB">
-<!ENTITY Linux_PAM-version "0.77">
-<!ENTITY Linux_PAM-download-http "http://www.kernel.org/pub/linux/libs/pam/pre/library/Linux-PAM-0.77.tar.bz2">
-<!ENTITY Linux_PAM-download-ftp "">
-<!ENTITY Linux_PAM-size "332 KB">
 <!ENTITY Linux_PAM-time "0.07 SBU">
Index: postlfs/security/shadow/shadow.ent
===================================================================
--- postlfs/security/shadow/shadow.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/security/shadow/shadow.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -3,4 +3,3 @@
 <!ENTITY shadow-inst SYSTEM "shadow-inst.xml">
 <!ENTITY shadow-exp SYSTEM "shadow-exp.xml">
-<!ENTITY shadow-desc SYSTEM "shadow-desc.xml">
 <!ENTITY shadow-config SYSTEM "shadow-config.xml">
Index: postlfs/security/tripwire/tripwire.ent
===================================================================
--- postlfs/security/tripwire/tripwire.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/security/tripwire/tripwire.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -3,10 +3,10 @@
 <!ENTITY tripwire-inst SYSTEM "tripwire-inst.xml">
 <!ENTITY tripwire-exp SYSTEM "tripwire-exp.xml">
+<!ENTITY tripwire-config SYSTEM "tripwire-config.xml">
 <!ENTITY tripwire-desc SYSTEM "tripwire-desc.xml">
-<!ENTITY tripwire-config SYSTEM "tripwire-config.xml">
+<!ENTITY tripwire-version "2.3.1-2">
+<!ENTITY tripwire-download-http "http://telia.dl.sourceforge.net/sourceforge/tripwire/tripwire-&tripwire-version;.tar.gz">
+<!ENTITY tripwire-download-ftp "ftp://ftp.fu-berlin.de/unix/security/tripwire/tripwire-&tripwire-version;.tar.gz">
+<!ENTITY tripwire-size "1.4 MB">
 <!ENTITY tripwire-buildsize "63 MB">
-<!ENTITY tripwire-version "2.3.1-2">
-<!ENTITY tripwire-download-http "http://telia.dl.sourceforge.net/sourceforge/tripwire/tripwire-2.3.1-2.tar.gz">
-<!ENTITY tripwire-download-ftp "">
-<!ENTITY tripwire-size "1.5 MB">
-<!ENTITY tripwire-time "">
+<!ENTITY tripwire-time "2.35 SBU">
Index: postlfs/shells/tcsh/tcsh.ent
===================================================================
--- postlfs/shells/tcsh/tcsh.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/shells/tcsh/tcsh.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -3,10 +3,10 @@
 <!ENTITY tcsh-inst SYSTEM "tcsh-inst.xml">
 <!ENTITY tcsh-exp SYSTEM "tcsh-exp.xml">
+<!ENTITY tcsh-config SYSTEM "tcsh-config.xml">
 <!ENTITY tcsh-desc SYSTEM "tcsh-desc.xml">
-<!ENTITY tcsh-config SYSTEM "tcsh-config.xml">
-<!ENTITY tcsh-buildsize "9.0 MB">
 <!ENTITY tcsh-version "6.12.00">
-<!ENTITY tcsh-download-http "">
+<!ENTITY tcsh-download-http "http://gd.tuwien.ac.at/utils/shells/tcsh/tcsh-&tcsh-version;.tar.gz">
 <!ENTITY tcsh-download-ftp "ftp://ftp.funet.fi/pub/unix/shells/tcsh/tcsh-&tcsh-version;.tar.gz">
 <!ENTITY tcsh-size "804 KB">
+<!ENTITY tcsh-buildsize "9.0 MB">
 <!ENTITY tcsh-time "0.16 SBU">
Index: postlfs/shells/zsh/zsh.ent
===================================================================
--- postlfs/shells/zsh/zsh.ent	(revision 993cff32188352c4ca10870b83b30b8bf0001918)
+++ postlfs/shells/zsh/zsh.ent	(revision aef50bc215386f5f77113cdcde46cc56e98ac0aa)
@@ -2,10 +2,10 @@
 <!ENTITY zsh-intro SYSTEM "zsh-intro.xml">
 <!ENTITY zsh-inst SYSTEM "zsh-inst.xml">
+<!ENTITY zsh-config SYSTEM "zsh-config.xml">
 <!ENTITY zsh-desc SYSTEM "zsh-desc.xml">
-<!ENTITY zsh-config SYSTEM "zsh-config.xml">
-<!ENTITY zsh-buildsize "16 MB">
 <!ENTITY zsh-version "4.1.1">
 <!ENTITY zsh-download-http "http://www.zsh.org/pub/zsh-&zsh-version;.tar.bz2">
 <!ENTITY zsh-download-ftp "ftp://ftp.zsh.org/zsh/zsh-&zsh-version;.tar.bz2">
 <!ENTITY zsh-size "1.9 MB">
+<!ENTITY zsh-buildsize "16 MB">
 <!ENTITY zsh-time "0.55 SBU">
